summaryrefslogtreecommitdiff
path: root/travis.sh
diff options
context:
space:
mode:
authorJoshua Haberman <jhaberman@gmail.com>2016-09-06 14:19:31 -0700
committerGitHub <noreply@github.com>2016-09-06 14:19:31 -0700
commitdd1b8dad6dfcd44cf6a9ed689d4e5d0c6f4addf7 (patch)
treed3ec1d67794275a55fa42a6d8ac1c3a9e1be69cd /travis.sh
parentdfc409618f2d3684fd7f981461ac31d0b0a28989 (diff)
parentcf22c890c983378926b3e96ea81e7f4d840d57e9 (diff)
Merge pull request #67 from haberman/endstrhd
A few small fixes to the JSON parser.
Diffstat (limited to 'travis.sh')
-rwxr-xr-xtravis.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/travis.sh b/travis.sh
index 02fede8..5c099a2 100755
--- a/travis.sh
+++ b/travis.sh
@@ -75,12 +75,16 @@ genfiles_install() {
sudo apt-get install lua5.2 liblua5.2-dev
# Need a recent version of protoc to compile proto3 files.
+ # .travis.yml will add this to our path
+ mkdir protoc
+ cd protoc
wget https://github.com/google/protobuf/releases/download/v3.0.0-beta-2/protoc-3.0.0-beta-2-linux-x86_64.zip
unzip protoc-3.0.0-beta-2-linux-x86_64.zip
- export PATH=.:$PATH
- protoc --version || true
+ cd ..
}
genfiles_script() {
+ protoc --version || true
+
# Avoid regenerating descriptor.pb, since its output can vary based on the
# version of protoc.
touch upb/descriptor/descriptor.pb
generated by cgit on debian on lair
contact matthew@masot.net with questions or feedback